#include <iostream>

using namespace std;

int main()
{
    int N, L, br = -1;
    cin >> N >> L;
    int H[N];
    for(int i=0;i<N;i++)
    {
        cin >> H[i];
    }
    for(int i = 0;i<N;i++)
    {
        if(L >= H[i])
        {
            br = i+1;
            break;
        }
    }
    cout << br;
    return 0;
}